Skip site navigation (1) Skip section navigation (2)

Re: mingw cross-compiling libpq.dll+ssl on Debian

From: Tomasz Myrta <jasiek(at)klaster(dot)net>
To: pgsql-ports(at)postgresql(dot)org
Subject: Re: mingw cross-compiling libpq.dll+ssl on Debian
Date: 2006-11-11 21:40:24
Message-ID: 45564348.1010606@klaster.net (view raw or flat)
Thread:
Lists: pgsql-ports
Tomasz Myrta napisal 2006-11-10 00:18:
> Postgresql8.1.5 configure script --with-openssl option gives me an error:
> configure: error: library 'eay32' is required for OpenSSL
The solution was very near.

Postgresql's configure script doesn't like original OpenSSL dll names.
We have to create symbolic links:
eay32.dll -> cryptoeay32-0.9.8.dll
ssleay32.dll -> ssleay32-0.9.8.dll

After this - libpq.dll is built as expected. Now, I have to remove 
unnecessary cyphers from rather big cryptoeay32-0.9.8.dll and try to 
link these files into single libpq.dll.

Regards,
Tomasz Myrta


In response to

pgsql-ports by date

Next:From: Bo BerglundDate: 2006-11-26 15:45:32
Subject: Which installer for Postgres on Windows?
Previous:From: Peter EisentrautDate: 2006-11-10 22:20:39
Subject: Re: mingw cross-compiling libpq.dll+ssl on Debian

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group